Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QAccessibleObjectEx

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QAccessible
                  com.trolltech.qt.gui.QAccessibleInterface
                      com.trolltech.qt.gui.QAccessibleInterfaceEx
                          com.trolltech.qt.gui.QAccessibleObjectEx

All Implemented Interfaces:
  QtJambiInterface

Direct Known Subclasses:
  QAccessibleWidgetEx

    public abstract class QAccessibleObjectEx

extends QAccessibleInterfaceEx

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QAccessibleInterface
`QAccessibleInterface.Target`

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QAccessible
`QAccessible.Action, QAccessible.Event, QAccessible.Method, QAccessible.Relation, QAccessible.RelationFlag, QAccessible.Role, QAccessible.State, QAccessible.StateFlag, QAccessible.Text`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Method Summary
`java.lang.String` | `actionText(int action, QAccessible.Text t, int child)` Returns the text property `t` of the action `action` supported by the object, or of the object's child if `child` is not 0.
`boolean` | `doAction(int action, int child, java.util.List<java.lang.Object> params)` Asks the object, or the object's `child` if `child` is not 0, to execute `action` using the parameters, `params`.
`static QAccessibleObjectEx` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QAccessibleObjectEx instance pointed to by nativePointer
`boolean` | `isValid()` Returns true if all the data necessary to use this interface implementation is valid (e.g. all pointers are non-null); otherwise returns false.
`QObject` | `object()` Returns a pointer to the `QObject` this interface implementation provides information for.
`QRect` | `rect(int child)` Returns the geometry of the object, or of the object's child if `child` is not 0.
`void` | `setText(QAccessible.Text t, int child, java.lang.String text)` Sets the text property `t` of the object, or of the object's child if `child` is not 0, to `text`.
`int` | `userActionCount(int child)` Returns the number of custom actions of the object, or of the object's child if `child` is not 0.

Methods inherited from class com.trolltech.qt.gui.QAccessibleInterface
`childAt, childCount, indexOfChild, invokeMethod, navigate, relationTo, role, state, supportedMethods, text`

Methods inherited from class com.trolltech.qt.gui.QAccessible
`isActive, queryAccessibleInterface, setRootObject, updateAccessibility`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Method Detail

### actionText

    public java.lang.String actionText(int action,
                                       QAccessible.Text t,
                                       int child)

  Returns the text property `t` of the action `action` supported by the object, or of the object's child if `child` is not 0.

  Specified by:
    `actionText` in class `QAccessibleInterface`
  See Also:
    `text`, `userActionCount`

### doAction

    public boolean doAction(int action,
                            int child,
                            java.util.List<java.lang.Object> params)

  Asks the object, or the object's `child` if `child` is not 0, to execute `action` using the parameters, `params`. Returns true if the action could be executed; otherwise returns false.

  `action` can be a predefined or a custom action.

  Specified by:
    `doAction` in class `QAccessibleInterface`
  See Also:
    `userActionCount`, `actionText`

### isValid

    public boolean isValid()

  Returns true if all the data necessary to use this interface implementation is valid (e.g. all pointers are non-null); otherwise returns false.

  Specified by:
    `isValid` in class `QAccessibleInterface`
  See Also:
    `object`

### object

    public QObject object()

  Returns a pointer to the `QObject` this interface implementation provides information for.

  Specified by:
    `object` in class `QAccessibleInterface`
  See Also:
    `isValid`

### rect

    public QRect rect(int child)

  Returns the geometry of the object, or of the object's child if `child` is not 0. The geometry is in screen coordinates.

  This function is only reliable for visible objects (invisible objects might not be laid out correctly).

  All visual objects provide this information.

  Specified by:
    `rect` in class `QAccessibleInterface`
  See Also:
    `childAt`

### setText

    public void setText(QAccessible.Text t,
                        int child,
                        java.lang.String text)

  Sets the text property `t` of the object, or of the object's child if `child` is not 0, to `text`.

  Note that the text properties of most objects are read-only.

  Specified by:
    `setText` in class `QAccessibleInterface`
  See Also:
    `text`

### userActionCount

    public int userActionCount(int child)

  Returns the number of custom actions of the object, or of the object's child if `child` is not 0.

  The `Action` type enumerates predefined actions: these are not included in the returned value.

  Specified by:
    `userActionCount` in class `QAccessibleInterface`
  See Also:
    `actionText`, `doAction`

### fromNativePointer

    public static QAccessibleObjectEx fromNativePointer(QNativePointer nativePointer)

  This function returns the QAccessibleObjectEx instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD